跳转到主要内容
GET
/
space
/
{spaceId}
/
reward
/
{rewardId}
cURL
curl --request GET \
  --url https://app.teable.ai/api/space/%7BspaceId%7D/reward/%7BrewardId%7D \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
{
  "id": "<string>",
  "spaceId": "<string>",
  "userId": "<string>",
  "sourceType": "appSumoActivation",
  "sourceMetaData": {
    "platform": "x",
    "postUrl": "<string>",
    "postId": "<string>",
    "snapshotId": "<string>",
    "content": "<string>",
    "username": "<string>",
    "followerCount": 123,
    "verifyResult": {
      "isValid": true,
      "errors": [
        {
          "message": "<string>",
          "localization": {
            "i18nKey": "<string>",
            "context": {}
          }
        }
      ]
    }
  },
  "rewardStatus": "pending",
  "rewardAmount": 123,
  "createdTime": "<string>",
  "consumedAmount": 123,
  "rewardTime": "<string>",
  "expiredTime": "<string>"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

spaceId
string
必填
rewardId
string
必填

响应

200 - application/json

Reward details retrieved successfully

id
string
必填
spaceId
string
必填
userId
string
必填
sourceType
enum<string>
必填
可用选项:
appSumoActivation,
socialShare,
system
sourceMetaData
object
必填
rewardStatus
enum<string>
必填
可用选项:
pending,
approved,
rejected
rewardAmount
number
必填
createdTime
string
必填
consumedAmount
number | null
rewardTime
string | null
expiredTime
string | null
Last modified on March 5, 2026